PrivateCloudVmCreateRequest
Virtual machine to create on the private cloud: template_vm_id to copy a template VM, otherwise both server_configuration_id and template_id; and either ip_address_id or use_local_ip true, not both
Number of CPU cores (vCPUs) of the virtual machine: between min_vm_cpu and max_vm_cpu of GET /api/v3/servers/{server_id}/private-cloud, and within the vCPUs still free on the private cloud
Possible values: >= 1
RAM of the virtual machine, in MB: between min_vm_ram and max_vm_ram of GET /api/v3/servers/{server_id}/private-cloud, and within the RAM still free on the private cloud
Possible values: >= 1
Disk space of the virtual machine, in GB: between min_vm_disk and max_vm_disk of GET /api/v3/servers/{server_id}/private-cloud, within the disk and backup space still free on the private cloud and, with template_vm_id, not lower than the disk of the template VM
Possible values: >= 1
Server configuration ID
Possible values: >= 1
Server template ID (OS)
Possible values: >= 1
Template VM ID (optional alternative to configuration/template)
Possible values: >= 1
Primary IP address ID
Possible values: >= 1
Use local IP instead of public IP
falseSSH key ID to associate with the VM
Possible values: >= 1
Optional note
{
"cpu": 0,
"ram": 0,
"disk": 0,
"server_configuration_id": 0,
"template_id": 0,
"template_vm_id": 0,
"ip_address_id": 0,
"use_local_ip": false,
"ssh_key_id": 0,
"note": "string"
}